GTXclient C++ API GTXserver-16.0.2

- Main Page
- Related Pages
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
GTXFaultSystem Class Reference

Class for handling Vendor Data. More...

`#include <GTXFaultSystem.hpp>`

## Public Member Functions
| GTXFaultSystem ()
| Empty Constructor.
| GTXFaultSystem (const GTXFaultSystem &fsys)
| Copy Constructor.
GTXFaultSystem | operator= (const GTXFaultSystem &sys)
| Operator equals.
| ~GTXFaultSystem ()
| Desstructor.
bool | GetFaults2DFlag () const
| Get value from faults2D attribute of a FaultSystem. More...
bool | GetAuxiliaryVarUsedFlag () const
| Get value from AuxVarUsed attribute of a FaultSystem. More...
double | GetAuxiliaryVarTest () const
| Get value from AuxVarTest attribute of a FaultSystem. More...
int | GetFaultsNumber () const
| Get value from Nfaults attribute of a FaultSystem. More...
GTXFault | GetFault (int rank) const
| Get value from faults attribute of a FaultSystem. More...
void | SetFaults2DFlag (bool value)
| Set Faults2D attribute to a Fault System. More...
void | SetAuxiliaryVarUsedFlag (bool avu)
| Set AuxVarUsed attribute to a Fault System. More...
void | SetAuxiliaryVarTest (double avt)
| Set AuxVarTest attribute to a Fault System. More...
void | AddFault (const GTXFault &fault)
| add a fault to a Fault System More...

## Friends
class | GTXClient

## Detailed Description

Class for handling Vendor Data.

Examples:
  fault.cpp.

## Member Function Documentation

void GTXFaultSystem::AddFault | ( | const GTXFault & | fault | ) |

add a fault to a Fault System

This function add a Fault to a Fault System

Parameters

  fault | The fault whitch is add.

Examples:
  fault.cpp.

double GTXFaultSystem::GetAuxiliaryVarTest | ( |  | ) | const

Get value from AuxVarTest attribute of a FaultSystem.

This function reads the value from AuxVarTest attribute of a FaultSystem

Returns
  Returned AuxVarTest

Examples:
  fault.cpp.

bool GTXFaultSystem::GetAuxiliaryVarUsedFlag | ( |  | ) | const

Get value from AuxVarUsed attribute of a FaultSystem.

This function reads the value from AuxVarUsed attribute of a FaultSystem

Returns
  Returned AuxVarUsed

Examples:
  fault.cpp.

GTXFault GTXFaultSystem::GetFault | ( | int | rank | ) | const

Get value from faults attribute of a FaultSystem.

This function reads the value from faults attribute of a FaultSystem

Parameters

  rank | Rank of the Fault

Returns
  Returned faults

Examples:
  fault.cpp.

References GetFaultsNumber().

bool GTXFaultSystem::GetFaults2DFlag | ( |  | ) | const

Get value from faults2D attribute of a FaultSystem.

This function reads the value from faults2D attribute of a FaultSystem

Returns
  Returned faults2D

Examples:
  fault.cpp.

int GTXFaultSystem::GetFaultsNumber | ( |  | ) | const

Get value from Nfaults attribute of a FaultSystem.

This function reads the value from Nfaults attribute of a FaultSystem

Returns
  Returned Nfaults

Examples:
  fault.cpp.

Referenced by GetFault().

void GTXFaultSystem::SetAuxiliaryVarTest | ( | double | avt | ) |

Set AuxVarTest attribute to a Fault System.

This function set AuxVarTest attribute to a Fault System

Parameters

  avt | Attribute AuxVarTest

Examples:
  fault.cpp.

void GTXFaultSystem::SetAuxiliaryVarUsedFlag | ( | bool | avu | ) |

Set AuxVarUsed attribute to a Fault System.

This function set AuxVarUsed attribute to a Fault System

Parameters

  avu | Attribute AuxVarUsed

Examples:
  fault.cpp.

void GTXFaultSystem::SetFaults2DFlag | ( | bool | value | ) |

Set Faults2D attribute to a Fault System.

This function set Faults2D attribute to a Fault System

Parameters

  value | Attribute Faults2D

Examples:
  fault.cpp.

The documentation for this class was generated from the following files:

- include/GTXFaultSystem.hpp
- src/gtxclient/GTXFaultSystem.cpp